// import { MpSplashDetail, WCUserLogin } from "../../utils/Interface";
import { Component, PropsWithChildren, useEffect, useState } from "react";
import Taro from "@tarojs/taro";
// 引入 Swiper, SwiperItem 组件
import {
  Block,
  View,
  Text,
  Image,
  Video,
  Swiper,
  SwiperItem,
} from "@tarojs/components";

import "taro-ui/dist/style/components/button.scss"; // 按需引入
import "./detect.less";

import type CustomTabBar from "../../custom-tab-bar";
export default class Detect extends Component<any, any> {
  pageCtx = Taro.getCurrentInstance().page;
  constructor(props) {
    super(props);
    this.state = {
      name: "detect",
    };
  }

  async onLoad() {}
  componentDidMount() {}

  componentWillUnmount() {}

  componentDidShow() {
    const tabbar = Taro.getTabBar<CustomTabBar>(this.pageCtx);
    tabbar?.setSelected(2);
  }

  componentDidHide() {}

  async initData() {}

  render() {
    let { name } = this.state;
    return (
      <Block>
        <View>{name}</View>
        <View className="main">待开发</View>
      </Block>
    );
  }
}
